@import "../../../../../client/css/colors.less";

@boxHeight: 276px;
@boxPadding: 27px;

.uiItemEditor {
	display: none;
	z-index: 2;
	width: 100%;
	height: 100%;
	// text-align: center;

	> .heading {
		text-align: center;
		color: @blueA;
		width: 100%;
		height: 36px;
		background-color: @blackB;
		position: relative;

		.heading-text {
			padding-top: 8px;
			margin: auto;
		}

	}

	position: relative;

	.content {
		width: 100%;
		height: 100%;
		background-color: @blackC;
		overflow: auto;
	}

	.left,
	.editor {
		background-color: fade(@blackC, 90%);
		float: left;
		height: calc(100% - 36px);
	}

	.left {
		width: 50%;
		padding: 15px 15px 15px 15px;
	}

	.itemContainer {
		height: 40%;

		.item {
			width: 72px;
			height: 72px;
			float: left;
			position: relative;
			cursor: pointer;
			box-sizing: border-box;
			margin: 4px;
			background-color: @blackD;

			&.hover {
				background-color: fade(@blueA, 10%);
			}

			&.dragging {
				position: absolute;
				opacity: 0.5;
				pointer-events: none;
				background-color: transparent;

				.icon {
					filter: brightness(100%)
					drop-shadow(0px -4px 0px @blackD)
					drop-shadow(0px 4px 0px @blackD)
					drop-shadow(4px 0px 0px @blackD)
					drop-shadow(-4px 0px 0px @blackD);
					-moz-filter: brightness(100%)
					drop-shadow(0px -4px 0px @blackD)
					drop-shadow(0px 4px 0px @blackD)
					drop-shadow(4px 0px 0px @blackD)
					drop-shadow(-4px 0px 0px @blackD);
				}

			}

			.quantity {
				left: 6px;
				bottom: 3px;
				position: absolute;
				color: @white;
				filter: drop-shadow(0px -2px 0px @blackD)
				drop-shadow(0px 2px 0px @blackD)
				drop-shadow(2px 0px 0px @blackD)
				drop-shadow(-2px 0px 0px @blackD);
				-moz-filter: drop-shadow(0px -2px 0px @blackD)
				drop-shadow(0px 2px 0px @blackD)
				drop-shadow(2px 0px 0px @blackD)
				drop-shadow(-2px 0px 0px @blackD);
			}

			.icon {
				width: 64px;
				height: 64px;
				position: absolute;
				left: 4px;
				top: 4px;
			}

			&.eq {
				.quantity {
					color: @yellow;
				}

			}

			&.new {
				.quantity {
					color: @green;
				}

			}

			&:hover {
				.icon {
					filter: brightness(160%);
					-moz-filter: brightness(160%);
				}

			}

		}

	}

	.spritesheetContainer {
		height: 60%
	}

	.spritesheet {
		width: 100%;
		padding-bottom: 100%;
		background-size: contain;
		background-repeat: no-repeat;
	}

	.editor {
		width: 50%;
		padding: 15px 15px 15px 0px;

		.field {
			margin-bottom: 20px;

			display: flex;
			flex-direction: row;
			justify-content: center;
			align-items: center;

			.label {
				color: @grayB;
				margin-right: 20px;
			}

			.textbox {
				flex-grow: 1;
				background-color: darken(@gray, 15%);
				// border: 3px solid lighten(@gray, 25%);
				color: @white;
			}

		}

		.checkboxField {
			display: block;
			position: relative;
			padding-left: 35px;
			padding-top: 4px;
			margin-bottom: 20px;
			color: @grayB;

			input {
				position: absolute;
				opacity: 0;
				cursor: pointer;
				height: 0;
				width: 0;
			}

			.checkmark {
				position: absolute;
				top: 0;
				left: 0;
				height: 24px;
				width: 24px;
				background-color: darken(@gray, 15%);
				border: 4px solid darken(@gray, 15%);
			}

			&:hover input ~ .checkmark {
				background-color: darken(@gray, 5%);
			}

			input:checked ~ .checkmark {
				background-color: lighten(@gray, 25%);
			}
		}

		.btn {
			background-color: @blueC;
			width: calc((100% - @boxPadding) / 2);
			float: left;
			margin-right: @boxPadding;
			color: @white;

			&:last-child {
				margin-right: 0px;
			}

			&:hover {
				background-color: @blueB;
			}

		}

		.vendorOptions {
			display: none;
		}

	}

}

.ui-container.quality-border .grid .item:not(.empty),
.ui-container.quality-bottom .grid .item:not(.empty) {
	&:before {
		content: '';
		position: absolute;
		top: 0px;
		left: 0px;
		width: 100%;
		height: 100%;
		box-sizing: border-box;
		border-width: 5px;
		border-style: solid;
	}

	&.quality-0:before {
		border: none;
	}

	&.quality-1:before {
		border-color: @greenC;
	}

	&.quality-2:before {
		border-color: @blueD;
	}

	&.quality-3:before {
		border-color: @purpleC;
	}

	&.quality-4:before {
		border-color: @orangeD;
	}

}

.ui-container.quality-bottom .grid .item:not(.empty) {
	&:before {
		border-width: 0px 0px 5px 0px;
	}

}

.ui-container.quality-background .grid .item:not(.empty),&.unusable-background .grid .item.no-equip {
	&:before {
		content: '';
		position: absolute;
		top: 0px;
		left: 0px;
		width: 100%;
		height: 100%;
	}

	.icon {
		filter: brightness(100%)
		drop-shadow(0px -4px 0px @blackD)
		drop-shadow(0px 4px 0px @blackD)
		drop-shadow(4px 0px 0px @blackD)
		drop-shadow(-4px 0px 0px @blackD);

		&:hover {
			filter: brightness(160%)
			drop-shadow(0px -4px 0px @blackD)
			drop-shadow(0px 4px 0px @blackD)
			drop-shadow(4px 0px 0px @blackD)
			drop-shadow(-4px 0px 0px @blackD);
		}

	}

	&.quality-1:before {
		background-color: @greenC;
	}

	&.quality-2:before {
		background-color: @blueD;
	}

	&.quality-3:before {
		background-color: @purpleC;
	}

	&.quality-4:before {
		background-color: @orangeD;
	}

	&.no-equip:before {
		background-color: @redD;
	}

}

.ui-container.unusable-border .grid .item.no-equip,
.ui-container.unusable-top .grid .item.no-equip {
	&:after {
		content: '';
		position: absolute;
		top: 0px;
		left: 0px;
		width: 100%;
		height: 100%;
		box-sizing: border-box;
		border-width: 5px;
		border-style: solid;
		border-color: @redD;
		pointer-events: none;
	}

}

.ui-container.unusable-top .grid .item.no-equip {
	&:after {
		border-width: 5px 0px 0px 0px;
	}

}

.ui-container.quality-border.unusable-border .grid .item.no-equip:not(.quality-0),
.ui-container.quality-border.unusable-top .grid .item.no-equip:not(.quality-0) {
	&:after {
		top: 5px;
		left: 5px;
		width: calc(100% - 10px);
		height: calc(100% - 10px);
	}

}
